## org.eclipse.amp.escape.parameters.test
Class ParameterInterpreterTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.eclipse.amp.escape.parameters.test.ParameterInterpreterTest

All Implemented Interfaces:
  junit.framework.Test

    public class ParameterInterpreterTest

extends junit.framework.TestCase

To setup projects (first time), use setupProject(), otherwise comment it out.

Author:
  mparker

Field Summary
`protected org.eclipse.swtbot.eclipse.finder.SWTWorkbenchBot` `bot` In future you will not need to create this instance.
`static boolean` `SETUP_PROJECT`

Constructor Summary
`ParameterInterpreterTest()`

Method Summary
`static void` `copyFiles(java.lang.String srcPluginID, java.lang.String srcFileLoc, java.lang.String destProjectName, java.lang.String destFileLoc)`
`static void` `createFolders(org.eclipse.core.resources.IFolder folder)`
`protected void` `setUp()`
`void` `setupProject()`
`static java.io.InputStream` `streamFromPlugin(java.lang.String pluginID, java.lang.String path)`
`void` `testFileAccess()`
`void` `testRun()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SETUP_PROJECT

    public static boolean SETUP_PROJECT

### bot

    protected org.eclipse.swtbot.eclipse.finder.SWTWorkbenchBot bot

  In future you will not need to create this instance. You need to extend SWTBotEclipseTestCase which holds an instance of SWTEclipseBot.

Constructor Detail

### ParameterInterpreterTest

    public ParameterInterpreterTest()

Method Detail

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Overrides:
    `setUp` in class `junit.framework.TestCase`
  Throws:
    `java.lang.Exception`
  See Also:
    `TestCase.setUp()`

### testFileAccess

    public void testFileAccess()

### testRun

    public void testRun()

### setupProject

    public void setupProject()

### createFolders

    public static void createFolders(org.eclipse.core.resources.IFolder folder)

### copyFiles

    public static void copyFiles(java.lang.String srcPluginID,
                                 java.lang.String srcFileLoc,
                                 java.lang.String destProjectName,
                                 java.lang.String destFileLoc)
                          throws org.eclipse.core.runtime.CoreException,
                                 java.io.IOException

  Throws:
    `org.eclipse.core.runtime.CoreException`
    `java.io.IOException`

### streamFromPlugin

    public static java.io.InputStream streamFromPlugin(java.lang.String pluginID,
                                                       java.lang.String path)